---
title: Taking screenshots
slug: Tools/Taking_screenshots
tags:
  - Screenshot
  - Tools
---
<div>{{ToolsSidebar}}</div>

<p>You can use the Developer Tools to take a screenshot of the entire page, or of a single element in the page.</p>

<h2 id="Taking_a_screenshot_of_the_page">Taking a screenshot of the page</h2>

<p>Use the screenshot icon: <img alt="" src="https://mdn.mozillademos.org/files/14713/camera-icon.png" style="height: 16px; margin-bottom: -4px; width: 18px;"> to take a full-page screenshot of the current page.</p>

<p>By default, the screenshot icon is not enabled. To enable it:</p>

<ul>
 <li>visit the <a href="/en-US/docs/Tools/Settings">Settings</a> page</li>
 <li>find the section labeled "Available Toolbox Buttons"</li>
 <li>check the box labeled "Take a screenshot of the entire page".</li>
</ul>

<p>You'll now see the icon in the toolbar:</p>

<p>{{EmbedYouTube("KB5V9uJgcS4")}}</p>

<p>Click the icon to take a screenshot of the current page. The screenshot is saved to your browser's "Downloads" directory:</p>

<p>{{EmbedYouTube("HKS6MofdXVE")}}</p>

<h2 id="Taking_a_screenshot_of_an_element">Taking a screenshot of an element</h2>

<p>To take a screenshot of a single element in the page, activate the context menu on that element in the <a href="/en-US/docs/Tools/Page_Inspector/UI_Tour#HTML_pane">Inspector's HTML pane</a>, and select "Screenshot Node". The screenshot is saved to the browser's "Downloads" directory:</p>

<p>{{EmbedYouTube("p2pjF_BrE1o")}}</p>

<h2 id="Copying_screenshots_to_the_clipboard">Copying screenshots to the clipboard</h2>

<p>From Firefox 53, you can also copy the screenshot to the clipboard. Just check the box in Settings labeled "Screenshot to clipboard":</p>

<p>{{EmbedYouTube("AZedFGh6F78")}}</p>

<p>Now, whenever you take a screenshot, the screenshot is also copied to the clipboard.</p>

<h2 id="Taking_screenshots_with_the_web_console">Taking screenshots with the web console</h2>

<p>If you need to specify a different device-pixel-ratio, set a delay before taking the screenshot, or specify your own file name, starting in Firefox 62 you can use the <code>:screenshot</code> helper function in the <a href="/en-US/docs/Tools/Web_Console">Web Console</a>.</p>

<p>Type <code>:screenshot</code> in the Web Console to<em> </em>create a screenshot of the current page. By default, the image file will be named <code>Screen Shot yyy-mm-dd at hh.mm.ss.png</code>.</p>

<div class="notecard note">
<p><strong>Tip</strong>: You could type <code>:s</code> and then hit <kbd>Tab</kbd> to autocomplete <code>:screenshot</code>.</p>
</div>

<p>The command has the following optional parameters:</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Command</th>
   <th>Type</th>
   <th>Description</th>
  </tr>
  <tr>
   <td><code style="white-space: nowrap;">--clipboard</code></td>
   <td>boolean</td>
   <td>When present, this parameter will cause the screenshot to be copied to the clipboard. Prevents saving to a file unless you use the <code>--file</code> option to force file writing.</td>
  </tr>
  <tr>
   <td><code style="white-space: nowrap;">--delay</code></td>
   <td>number</td>
   <td>The number of seconds to delay before taking the screenshot; you can use an interger or floating point number. This is useful if you want to pop open a menu or invoke a hover state for the screenshot.</td>
  </tr>
  <tr>
   <td><code style="white-space: nowrap;">--dpr</code></td>
   <td>number</td>
   <td>The device pixel ratio to use when taking the screenshot. Values above 1 yield "zoomed-in" images, whereas values below 1 create "zoomed-out" images.</td>
  </tr>
  <tr>
   <td><code style="white-space: nowrap;">--file</code></td>
   <td>boolean</td>
   <td>When present, the screenshot will be saved to a file, even if other options (e.g. <code style="white-space: nowrap;">--clipboard</code>) are included.</td>
  </tr>
  <tr>
   <td><code style="white-space: nowrap;">--filename</code></td>
   <td>string</td>
   <td>The name to use in saving the file. The file should have a ".png" extension.</td>
  </tr>
  <tr>
   <td><code style="white-space: nowrap;">--fullpage</code></td>
   <td>boolean</td>
   <td>If included, the full webpage will be saved. With this parameter, even the parts of the webpage which are outside the current bounds of the window will be included in the screenshot. When used, "<span style="white-space: nowrap;">-fullpage</span>" will be appended to the file name.</td>
  </tr>
  <tr>
   <td><code style="white-space: nowrap;">--selector</code></td>
   <td>string</td>
   <td>A CSS selector that selects a single element on the page. When supplied, only this element and its descendants will be included in the screenshot.</td>
  </tr>
 </tbody>
</table>

<div class="notecard note">
<p><strong>Note</strong>: If you capture an image to a filename like <code>test.png</code>, and then you capture to that same filename, the new image will overwrite the old image.  So if you’re using the up-arrow history scroll to capture images in quick succession, be careful — you need to remember to change the filename for each new capture.</p>
</div>

<div class="notecard note">
<p><strong>Note</strong>: Thanks to Eric Meyer for his enthusiasm for our screenshot feature, and help! Small portions of this section have been borrowed from his <a href="https://meyerweb.com/eric/thoughts/2018/08/24/firefoxs-screenshot-command-2018/">Firefox’s :screenshot command</a> article.</p>
</div>
